### Function

# Gio BusNameVanishedCallback

since: 2.26

#### Declaration

    void
    (* GBusNameVanishedCallback) (
      GDBusConnection* connection,
      const gchar* name,
      gpointer user_data
    )

#### Description

Invoked when the name being watched is known not to have to have an owner.

This is also invoked when the `GDBusConnection` on which the watch was established has been closed. In that case, `connection` will be `NULL`.

Available since: 2.26

#### Parameters

`connection`

  Type: `GDBusConnection`

  The `GDBusConnection` the name is being watched on, or `NULL`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name being watched.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data passed to g_bus_watch_name().

  The argument can be `NULL`.
  The data is owned by the caller of the function.